Bug 1123586 - [abrt] gnome-shell: init_config_from_output(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: init_config_from_output(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d94e90726ae3b0a7b0a29b95f29...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 22:25 UTC by Gwendal
Modified: 2015-06-29 21:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:46:47 UTC


Attachments (Terms of Use)
File: backtrace (44.08 KB, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: core_backtrace (21.60 KB, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: dso_list (25.25 KB, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: environ (1.31 KB, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: maps (100.07 KB, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: open_fds (1.62 KB, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details
File: var_log_messages (21.34 KB, text/plain)
2014-07-26 22:25 UTC, Gwendal
no flags Details

Description Gwendal 2014-07-26 22:25:16 UTC
Version-Release number of selected component:
gnome-shell-3.10.4-5.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: init_config_from_output
executable:     /usr/bin/gnome-shell
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 init_config_from_output at core/monitor-config.c:1295
 #1 meta_monitor_config_update_current at core/monitor-config.c:1320
 #2 meta_monitor_manager_handle_apply_configuration at core/monitor.c:1149
 #3 ffi_call_unix64 at ../src/x86/unix64.S:76
 #4 ffi_call at ../src/x86/ffi64.c:522
 #5 g_cclosure_marshal_generic at gclosure.c:1454
 #8 g_signal_emitv at gsignal.c:3063
 #9 _meta_dbus_display_config_skeleton_handle_method_call at meta-dbus-xrandr.c:2087
 #10 g_dbus_interface_method_dispatch_helper at gdbusinterfaceskeleton.c:609
 #11 skeleton_intercept_handle_method_call at gdbusinterfaceskeleton.c:650

Comment 1 Gwendal 2014-07-26 22:25:20 UTC
Created attachment 921245 [details]
File: backtrace

Comment 2 Gwendal 2014-07-26 22:25:21 UTC
Created attachment 921246 [details]
File: cgroup

Comment 3 Gwendal 2014-07-26 22:25:23 UTC
Created attachment 921247 [details]
File: core_backtrace

Comment 4 Gwendal 2014-07-26 22:25:25 UTC
Created attachment 921248 [details]
File: dso_list

Comment 5 Gwendal 2014-07-26 22:25:27 UTC
Created attachment 921249 [details]
File: environ

Comment 6 Gwendal 2014-07-26 22:25:28 UTC
Created attachment 921250 [details]
File: exploitable

Comment 7 Gwendal 2014-07-26 22:25:30 UTC
Created attachment 921251 [details]
File: limits

Comment 8 Gwendal 2014-07-26 22:25:33 UTC
Created attachment 921252 [details]
File: maps

Comment 9 Gwendal 2014-07-26 22:25:35 UTC
Created attachment 921253 [details]
File: open_fds

Comment 10 Gwendal 2014-07-26 22:25:36 UTC
Created attachment 921254 [details]
File: proc_pid_status

Comment 11 Gwendal 2014-07-26 22:25:38 UTC
Created attachment 921255 [details]
File: var_log_messages

Comment 12 Julian Stecklina 2014-11-24 16:34:22 UTC
Happened while selecting 'Turn off' in gnome display settings for a secondary monitor.

Comment 13 Fedora End Of Life 2015-05-29 12:28:56 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:46:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.